<?php
// $Id: uts.help.inc,v 1.2 2008/07/13 05:27:28 boombatower Exp $
/**
 * @file
 * Provide help text for Usability Testing Suite.
 *
 * Copyright 2008 by Jimmy Berry ("boombatower", http://drupal.org/user/214218)
 */

/**
 * Implementation of hook_help().
 */
function uts_help($path, $arg) {
  switch ($path) {
    case 'admin/help#uts':
      return t('<p>
                  For step-by-step instructions on how to setup a usability study see !uts_admin page. If you plan on
                  collaborating in creating a study definition make sure you give permission to all the user that will
                  be involved.
                 </p>
                 <p>
                   All plug-ins that you want to use on a study must be enabled to show up in the list when creating/editting
                   a study. Plug-ins are displayed on the !modules page under the group heading
                   <i>Usability testing suite - plugins</i>.
                 </p>
                 <p>
                   Any bugs, questions, or concerns should be placed in the !uts_queue.
                 </p>', array('!uts_admin' => l('usability testing suite admin', 'admin/uts'),
                              '!modules' => l('modules', 'admin/build/modules'),
                              '!uts_queue' => l('Usability Testing Suite issue queue', 'http://drupal.org/project/issues/uts')));
    case 'admin/uts':
      return t('<p>
                  In order to perform a usability study you must perform the following steps.
                  <ol>
                    <li>Create a study that will contain tasks and analysis data. To do so click !studies then <i>add</i>.</li>
                    <li>Add tasks to the study you just created. This can be done by going to the !studies page and
                        clicking <i>view studies</i> and then <i>add</i>. Otherwise you can click <i>add task</i> when viewing
                        a study node.</li>
                    <li>Edit the study you created a set the <i>status</i> to <i>active</i>. The study should now display on
                        the !participation page.</li>
                  </ol>
                </p>
                <p>
                  Partcipants will then be able to participate in the study and data will be collected and related to their
                  session. You can then !analyze the data for a particular study or session.
                </p>
                <p>
                  Once the maximum number of participants has been reached the study will automatically be closed and no further
                  sessions will be allowed to open. You can manual close the study at any time by changing the <i>status</i> to
                  <i>closed</i>.
                </p>', array('!studies' => l('studies', 'admin/uts/studies'),
                             '!participation' => l('participation', 'uts/participate'),
                             '!analyze' => l('analyze', 'admin/uts/analyze')));
    case 'admin/uts/analyze':
      return t('<p>Active and closed studies will be displayed below. After selecting a study you will be presented with a list
                   of sessions recorded for each participant. If there have been no participants in your session then there will
                   be nothing to analyze.</p>');
  }
}
